Bug 137000 - FILESAVE XLSX Textboxes Do not rotate text property incorrectly exported
Summary: FILESAVE XLSX Textboxes Do not rotate text property incorrectly exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:7.1.0 target:7.3.0 target:7.2....
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Shapes
  Show dependency treegraph
 
Reported: 2020-09-24 12:47 UTC by NISZ LibreOffice Team
Modified: 2021-06-21 14:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with rotated shapes and ignored text rotation (16.68 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-09-24 12:47 UTC, NISZ LibreOffice Team
Details
Example file from Excel with rotated shapes and ignored text rotation (11.00 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-09-24 12:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-09-24 12:47:10 UTC
Created attachment 165815 [details]
Example file from Word with rotated shapes  and ignored text rotation

This is a followup to bug #106197
After importing shapes with the Upright attribute is fixed, export still does not retain them.

Steps to reproduce:
    1. In Word create a textbox with some long text and rotate it 90, 180 or 270 degrees
    2. Enable Do not rotate text property in the text box sidebar
    3. Copy the shapes to an Excel file
    4. Open the XLSX file in Calc and save with another name

Actual results:
Shape text is rotated.

Expected results:
Shape text is not rotated.
Comment 1 NISZ LibreOffice Team 2020-09-24 12:47:28 UTC
Created attachment 165816 [details]
Example file from Excel with rotated shapes and ignored text rotation
Comment 2 Commit Notification 2020-10-06 07:47:02 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ff5ca4e5fc6a9fb24b0eb6eb629210b024473f67

tdf#137000 XLSX shape export: fix upright

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2020-11-17 12:03:01 UTC
Verified in:

Version: 7.1.0.0.alpha1+ (x64)
Build ID: 72056f39e01e36afac36c62988331b6813c8214f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!
Comment 4 Commit Notification 2021-06-21 11:18:29 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/20d2c2fe481eb66f518c554f8588ec87e0ee125a

tdf#137000: clean-up "XML shape export: fix upright"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-06-21 14:42:34 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/b25c9bd18cfa544578ac87020b2b41d881e73e7f

tdf#137000: clean-up "XML shape export: fix upright"

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.